Description: Fix serve HTML-friendly XHTML
Author: Jonas Smedegaard <dr@jones.dk>
Last-Update: 2012-06-12

--- a/lib/RDF/Endpoint.pm
+++ b/lib/RDF/Endpoint.pm
@@ -413,7 +413,7 @@
 			my $gen			= RDF::RDFa::Generator->new( style => 'HTML::Head', namespaces => { %$ns } );
 			$gen->inject_document($doc, $sdmodel);
 			
-			my $writer	= HTML::HTML5::Writer->new( markup => 'xhtml', doctype => DOCTYPE_XHTML_RDFA );
+			my $writer	= HTML::HTML5::Writer->new( markup => 'xhtml', polyglot => 1, doctype => DOCTYPE_XHTML_RDFA );
 			$content	= encode_utf8( $writer->document($doc) );
 			$response->status(200);
 			$response->headers->content_type('text/html');
